/**
 * <copyright>
 * </copyright>
 *
 * $Id: TaggedValueValidator.java,v 1.1 2008-04-01 09:35:23 vmahe Exp $
 */
package orgomg.cwm.objectmodel.core.validation;

import orgomg.cwm.objectmodel.core.ModelElement;
import orgomg.cwm.objectmodel.core.Stereotype;

/**
 * A sample validator interface for {@link orgomg.cwm.objectmodel.core.TaggedValue}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface TaggedValueValidator {
	boolean validate();

	boolean validate_tag(String value);
	boolean validateValue(String value);
	boolean validateStereotype(Stereotype value);
	boolean validateModelElement(ModelElement value);
}
